<?php

namespace PdInternalApi;

class ServiceProvider extends \Illuminate\Support\ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        $this->app->configure('internal_api');
        foreach (config('internal_api.client') as $service_name => $config) {
            $this->app->singleton('internal.api.' . $service_name, function () use ($service_name, $config) {
                return new Client($service_name, $config);
            });
        }

    }
}
